umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_entityattribute.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlmodel/entityattribute.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_UMLEntityAttribute_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_UMLEntityAttribute_t | qt_meta_stringdata_UMLEntityAttribute
static const uint | qt_meta_data_UMLEntityAttribute []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_UMLEntityAttribute_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_UMLEntityAttribute_t
Definition: moc_entityattribute.cpp:24

## Variable Documentation

## ◆ qt_meta_data_UMLEntityAttribute

const uint qt_meta_data_UMLEntityAttribute[]
| static

Initial value:
= {
8,
0,
0, 0,
0, 0,
0, 0,
1, 14,
0, 0,
0,
0,
1, 1, 0x0, 4, 19,
2, uint(UMLEntityAttribute::None),
3, uint(UMLEntityAttribute::Primary),
4, uint(UMLEntityAttribute::Index),
5, uint(UMLEntityAttribute::Unique),
0
}
UMLEntityAttribute::Index
@ Index
Definition: entityattribute.h:29
UMLEntityAttribute::None
@ None
Definition: entityattribute.h:27
UMLEntityAttribute::Unique
@ Unique
Definition: entityattribute.h:30
UMLEntityAttribute::Primary
@ Primary
Definition: entityattribute.h:28

## ◆ qt_meta_stringdata_UMLEntityAttribute

const qt_meta_stringdata_UMLEntityAttribute_t qt_meta_stringdata_UMLEntityAttribute
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 18),
QT_MOC_LITERAL(1, 19, 12),
QT_MOC_LITERAL(2, 32, 4),
QT_MOC_LITERAL(3, 37, 7),
QT_MOC_LITERAL(4, 45, 5),
QT_MOC_LITERAL(5, 51, 6)
},
"UMLEntityAttribute\0DBIndex_Type\0None\0"
"Primary\0Index\0Unique"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_entityattribute.cpp:28